ChartDirector Ver 5.0 (PHP Edition)

BaseMeter.setLabelPos

Usage

setLabelPos(labelInside [, labelOffset ])

Description

Sets the positions of the meter scale labels.

Arguments

Argument | Default | Description
--- | --- | ---
labelInside | (Mandatory) | A true (non-zero) value means that the labels are on the 'inward' side of the meter scale. A false (zero) value means the labels are on the 'outward' side of the meter scale. For an angular meter, the default is for the labels on the 'inward' side. For a linear meter, the default is for the labels on the 'outward' side.
labelOffset | 0 | The offset, in pixels, of the labels position relative to the standard position. If the major tick is at the same side as the label, the standard starting position of the label is at the end point of the major tick. Otherwise, the standard starting position is on the meter scale. A positive labelOffset means the labels should move more towards the 'inward' or 'outward' side, depending on the first parameter. A negative labelOffset means moving the labels towards the opposite direction.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.